Subject: bug#36785: Impossible to pull on foreign distro

From: Ludovic Courtès <[email-masked]>
Date: Wed, 18 Sep 2019 10:48:42 +0200

Hi,

Gábor Boskovits <[email-masked]> skribis:

> We could simply document a proper sudo invocation for updating root's guix,
> that
> always works. Wdyt?

The thing is “sudo guix pull” works on all (?) distros but Ubuntu, which
provides a patched sudo.  So we’d have to explicitly mention Ubuntu.

That’s probably a good idea, though chances are people will run “sudo
guix pull” before they’ve read that footnote in the manual.  (A
colleague of mine ran “sudo guix pull” mostly because they were used to
“sudo apt-get update” and didn’t really think ‘sudo’ was unnecessary.)

Ludo’.